# Generated by Django 3.1.5 on 2021-01-17 17:09

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import organizations.base
import organizations.fields


class Migration(migrations.Migration):

    replaces = [('organizations_ext', '0001_initial'), ('organizations_ext', '0002_organization_is_accepting_events'), ('organizations_ext', '0003_auto_20200516_1724'), ('organizations_ext', '0004_organization_throttling_cycle_anchor'), ('organizations_ext', '0005_remove_organization_throttling_cycle_anchor'), ('organizations_ext', '0006_organization_open_membership'), ('organizations_ext', '0007_auto_20200619_1459'), ('organizations_ext', '0008_remove_organizationuser_pending'), ('organizations_ext', '0009_organization_scrub_ip_addresses')]

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Organization',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='The name of the organization', max_length=200)),
                ('is_active', models.BooleanField(default=True)),
                ('created', organizations.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False)),
                ('modified', organizations.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False)),
                ('slug', organizations.fields.SlugField(blank=True, editable=False, help_text='The name in all lowercase, suitable for URL identification', max_length=200, populate_from='name', unique=True)),
            ],
            options={
                'abstract': False,
            },
            bases=(organizations.base.UnicodeMixin, models.Model),
        ),
        migrations.CreateModel(
            name='OrganizationUser',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', organizations.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False)),
                ('modified', organizations.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False)),
                ('role', models.PositiveSmallIntegerField(choices=[(0, 'Member'), (1, 'Admin'), (2, 'Manager'), (3, 'Owner')])),
                ('organization', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='organization_users', to='organizations_ext.organization')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='organizations_ext_organizationuser', to=settings.AUTH_USER_MODEL)),
                ('email', models.EmailField(blank=True, help_text='Email for pending invite', max_length=254, null=True)),
            ],
            options={
                'abstract': False,
                'unique_together': {('email', 'organization'), ('user', 'organization')},
            },
            bases=(organizations.base.UnicodeMixin, models.Model),
        ),
        migrations.CreateModel(
            name='OrganizationOwner',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('organization', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='owner', to='organizations_ext.organization')),
                ('organization_user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='organizations_ext.organizationuser')),
            ],
            options={
                'abstract': False,
            },
            bases=(organizations.base.UnicodeMixin, models.Model),
        ),
        migrations.AddField(
            model_name='organization',
            name='users',
            field=models.ManyToManyField(related_name='organizations_ext_organization', through='organizations_ext.OrganizationUser', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='organization',
            name='is_accepting_events',
            field=models.BooleanField(default=True, help_text='Used for throttling at org level'),
        ),
        migrations.AddField(
            model_name='organization',
            name='open_membership',
            field=models.BooleanField(default=True, help_text='Allow any organization member to join any team'),
        ),
        migrations.AddField(
            model_name='organization',
            name='scrub_ip_addresses',
            field=models.BooleanField(default=True, help_text='Default for whether projects should script IP Addresses'),
        ),
    ]
